/*
InputNode
by Cory McKay

CLASS NAME:		InputNode
CLASS TYPE:		Neural network data structure: input node
DESCRIPTION:	Objects of this class represent the inputs to a neural network.
                Although these objects are not strictly necessary, they are present for
				the sake of completeness of the metaphor.
*/

class InputNode
{
	/* FIELDS ******************************************************************/


	private double current_input_value;	// the input value currently held at this node


	/* CONSTRUCTOR *************************************************************/


	InputNode(double initial_value)
	{
		current_input_value = initial_value;
	}


	/* PUBLIC METHODS **********************************************************/


	public void set_input(double input)
	// Set the current value of the input
	{
		current_input_value = input;
	}

	public double get_current_value()
	// Get the current value of the iput
	{
		return current_input_value;
	}

	public String output_values()
	// Returns a string containing the current inputs ot the node
	// Used for debugging purposes.
	{
		return new String("Value: " + current_input_value + "\n");
	}
}