/*
NetworkSettings
by Cory McKay

CLASS NAME:		NetworkSettings
CLASS TYPE:		Data structure
DESCRIPTION:	Used to store the parameters corresponding to a neural network.
*/

class NetworkSettings
{
	/* FIELDS ******************************************************************/


	public double learning_rate;
	public double momentum;
	public int num_input_nodes;
	public int num_hidden_nodes;
	public int num_output_nodes;
	public double min_initial_weight;
	public double max_initial_weight;


	/* CONSTRUCTOR *************************************************************/


	public NetworkSettings(double lr, double momen, int inputs, int hidden, int outputs,
	                       double min_w, double max_w)
	{
		learning_rate = lr;
		momentum = momen;
		num_input_nodes = inputs;
		num_hidden_nodes = hidden;
		num_output_nodes = outputs;
		min_initial_weight = min_w;
		max_initial_weight = max_w;
	}
}